package com.nisum.mytime.utils;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

public class MyTimeUtils {

	private MyTimeUtils() {

	}

	public final static String driverUrl = "jdbc:ucanaccess://";
	public final static String msdriveUrl ="jdbc:sqlserver://";
	public final static DateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	public final static DateFormat tdf = new SimpleDateFormat("HH:mm");
	public final static DateFormat dfmt = new SimpleDateFormat("yyyy-MM-dd");
	public final static String UNDER_SCORE = "_";
	public final static String DATE_OF_LOGIN = "dateOfLogin";
	public final static String EMPLOYEE_ID = "employeeId";
	public final static String EMPLOYEE_NAME = "employeeName";
	public final static String FIRST_LOGIN = "firstLogin";
	public final static String LAST_LOGOUT = "lastLogout";
	public final static String TOTAL_LOGIN_TIME = "totalLoginTime";
	public final static String EMPLOYEE_COLLECTION = "EmployeesLoginData";
	public final static String ID = "_id";
	public final static String HYPHEN = "-";
	public final static String ZERO = "0";
	public final static String COLON = ":";
	public final static String EMP_NAME_QUERY = "SELECT * FROM EMPLOYEES Where EMPLOYEECODE=?";

	public final static String WORKING_EMPLOYEES = "SELECT * FROM EMPLOYEES WHERE EMPLOYEECODE NOT IN(SELECT UserId FROM DeviceLogs_12_2017 WHERE LogDate BETWEEN '2017-12-27 06:00:00' AND '2017-12-27 11:00:00') AND STATUS='Working'";
	public final static String QUERY = "SELECT * FROM DeviceLogs_";
	public final static String USERID_QUERY = "SELECT USERID FROM DeviceLogs_";
	public final static String WHERE_COND = " WHERE LogDate between '";
	public final static String AND_COND = " AND '";
	public final static String SINGLE_QUOTE = "'";
	public final static String ABESENT_QUERY = "SELECT * FROM EMPLOYEES WHERE EMPLOYEECODE NOT IN(";
	public final static String ABESENT_QUERY1 = ") AND STATUS='Working' AND EMPLOYEECODE NOT LIKE 'del%' ";
	public final static String ABESENT = "Absent";
	public final static String EMAIL_ID = "emailId";

	public final static String ACCOUNT_ID = "accountId";
	public static final int ONE = 1;
	public final static String ACC = "Acc";
	public static final String ZERO_ = "00";
	// Manage account details
	public static final String ID_ = "id";
	public static final String ACCOUNT_NAME = "accountName";
	public static final String STATUS = "status";
	public static final String CLIENT_ADDRESS = "clientAddress";
	public static final String INDUSTRY_TYPE = "industryType";
	public static final String DELIVERY_MANAGERS = "deliveryManagers";
	public static final String ACTIVE = "Active";
	public static final String IN_ACTIVE = "InActive";
	public final static String TEAMDETAILS_COLLECTION_NAME = "TeamDetails";
	public final static String BILLINGDETAILS_COLLECTION_NAME = "BillingDetails";
	public final static String ENDDATE_COLUMN = "endDate";
	public final static String BILLING_ENDDATE_COLUMN = "billingEndDate";
	public final static String CREATED_DATE_COLUMN = "createDate";
	public final static String PROJECT_NAME = "projectName";
	public final static String SET = "$set";
	public final static int MINUS_ONE = -1;

	public final static String FREE_POLL="Free Pool";
	public final static String START_DATE="startDate";
	
	//Domain Constants
	public final static String DOM="DOM";
	public final static String DOMAIN_NAME="domainName";
	public final static String DOMAIN_ID="domainId";
	//public final static String NAME="deliveryManagers";
	
	public final static String STRING_Y="Y";
	public final static String STRING_N="N";
	       
	
	//Biometric Attendance 
	public final static String ABESENT_STATUS_QUERY = "select emp.EmployeeCode,emp.FirstName,"
			+ "MIN(tr.aDateTime) AS FirstLogin,MAX(tr.aDateTime) AS LastLogin\n" + 
			"from Transactions as tr,EmployeeMaster as emp\n" + 
			"where tr.EmployeemasterID=emp.EmployeeMasterID and EmployeeControllerStatus=1 and \n" + 
			"replace(convert(varchar,tr.aDateTime, 111), '/', '-')>= ";
	public final static String ABESENT_STATUS_QUERY1 =" and \n" +   
			"replace(convert(varchar,tr.aDateTime, 111), '/', '-')<= ";
	public final static String ABESENT_STATUS_QUERY2 =" and  emp.EmployeeCode=";
	public final static String ABESENT_STATUS_QUERY3 =" group by convert(varchar,tr.aDateTime, 111),emp.EmployeeCode,emp.FirstName";
	
	public final static String ATTENDANCE_PRESENT_REPORT_QUERY ="select distinct emp.EmployeeCode,emp.FirstName,'P' as AttStatus\n" + 
			" FROM Transactions as tr,EmployeeMaster as emp where tr.EmployeemasterID=emp.EmployeeMasterID and EmployeeControllerStatus=1 and \n" + 
			" replace(convert(varchar,tr.aDateTime, 111), '/', '-')= ";    
	public final static String UNION=" Union ";   
	public final static String ATTENDANCE_ABSENT_REPORT_QUERY= "select distinct M.EmployeeCode,M.FirstName,'A' as AttStatus from [smartiSCC].[dbo].[EmployeeMaster]  M \n" + 
			"where EmployeeControllerStatus=1 and M.EmployeeCode not in \n" + 
			" (select distinct emp.EmployeeCode \n" + 
			"	FROM Transactions as tr,EmployeeMaster as emp \n" + 
			"	where tr.EmployeemasterID=emp.EmployeeMasterID and EmployeeControllerStatus=1 and \n" + 
			" replace(convert(varchar,tr.aDateTime, 111), '/', '-')=";   

	// Role Mapping Info
	public static final String ACCOUNT = "Delivery Manager";
	public static final String DOMAIN = "Delivery Lead";
	public static final String LEAD="Lead";
	public static final String IS_ACTIVE = "isActive";

}
